# Visualization
TKV2d
Prs2d

# Prs2d_Radius Class Reference

Constructs the primitive Radius
.

`#include <Prs2d_Radius.hxx>`

Inheritance diagram for Prs2d_Radius:

[legend]

## Public Member Functions

Standard_EXPORT

Prs2d_Radius (const Handle(Graphic2d_GraphicObject)&aGraphicObject, const gp_Pnt2d &anAttachPnt, const gp_Circ2d &aCircle, const TCollection_ExtendedString &aText, const Standard_Real aTxtScale=10.0, const Standard_Real anArrAngle=20.0, const Standard_Real anArrLength=25.0, const Prs2d_TypeOfArrow anArrType=Prs2d_TOA_OPENED, const Prs2d_ArrowSide anArrow=Prs2d_AS_BOTHAR, const Standard_Boolean IsReverseArrow=Standard_False)

| Creates the radius of the circle passing through the point <anattachpnt> .
Standard_EXPORT void | Values (gp_Pnt2d &anAttPnt, gp_Circ2d &aCirc) const
| allows to get the properties of the diameter
virtual Standard_EXPORT void | Save (Aspect_FStream &aFStream) const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT void | Draw (const Handle(Graphic2d_Drawer)&aDrawer)
| Draws the angle <me>. .
virtual Standard_EXPORT void | DrawElement (const Handle(Graphic2d_Drawer)&aDrawer, const Standard_Integer anIndex)
| Draws element <anindex> of the radius <me>. .
virtual Standard_EXPORT void | DrawVertex (const Handle(Graphic2d_Drawer)&aDrawer, const Standard_Integer anIndex)
| Draws vertex <anindex> of the radius <me>. .
Standard_EXPORT Standard_Boolean | Pick (const Standard_ShortReal X, const Standard_ShortReal Y, const Standard_ShortReal aPrecision, const Handle(Graphic2d_Drawer)&aDrawer)
| Returns Standard_True if the radius <me> is picked, Standard_False if not. .
virtual void | CalcTxtPos (const Standard_Boolean theFromAbs=Standard_False)

## Private Attributes

Standard_ShortReal | myX1
Standard_ShortReal | myY1
Standard_ShortReal | myX2
Standard_ShortReal | myY2
gp_Pnt2d | myPnt
gp_Circ2d | myCirc

## Constructor & Destructor Documentation

Standard_EXPORT Prs2d_Radius::Prs2d_Radius | ( | const Handle(Graphic2d_GraphicObject)& | aGraphicObject,
|  | const gp_Pnt2d & | anAttachPnt,
|  | const gp_Circ2d & | aCircle,
|  | const TCollection_ExtendedString & | aText,
|  | const Standard_Real | aTxtScale = `10.0`,
|  | const Standard_Real | anArrAngle = `20.0`,
|  | const Standard_Real | anArrLength = `25.0`,
|  | const Prs2d_TypeOfArrow | anArrType = `Prs2d_TOA_OPENED`,
|  | const Prs2d_ArrowSide | anArrow = `Prs2d_AS_BOTHAR`,
|  | const Standard_Boolean | IsReverseArrow = `Standard_False`
| ) |

## Member Function Documentation

void Prs2d_Radius::CalcTxtPos | ( | const Standard_Boolean | theFromAbs = `Standard_False` | ) | `[inline, protected, virtual]`

| Implements Prs2d_Dimension.

Standard_EXPORT void Prs2d_Radius::Draw | ( | const Handle(Graphic2d_Drawer)& | aDrawer | ) | `[protected, virtual]`

| Implements Graphic2d_Primitive.

virtual Standard_EXPORT void Prs2d_Radius::DrawElement | ( | const Handle(Graphic2d_Drawer)& | aDrawer,
|  | const Standard_Integer | anIndex
| ) | `[protected, virtual]`

| Reimplemented from Graphic2d_Primitive.

virtual Standard_EXPORT void Prs2d_Radius::DrawVertex | ( | const Handle(Graphic2d_Drawer)& | aDrawer,
|  | const Standard_Integer | anIndex
| ) | `[protected, virtual]`

| Reimplemented from Graphic2d_Primitive.

Standard_EXPORT const Prs2d_Radius::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Prs2d_Dimension.

Standard_EXPORT Standard_Boolean Prs2d_Radius::Pick | ( | const Standard_ShortReal | X,
|  | const Standard_ShortReal | Y,
|  | const Standard_ShortReal | aPrecision,
|  | const Handle(Graphic2d_Drawer)& | aDrawer
| ) | `[protected, virtual]`

| Implements Graphic2d_Primitive.

virtual Standard_EXPORT void Prs2d_Radius::Save | ( | Aspect_FStream & | aFStream | ) | const`[virtual]`

| Reimplemented from Graphic2d_Line.

Standard_EXPORT void Prs2d_Radius::Values | ( | gp_Pnt2d & | anAttPnt,
|  | gp_Circ2d & | aCirc
| ) | const

## Field Documentation

gp_Circ2d Prs2d_Radius::myCirc `[private]`

gp_Pnt2d Prs2d_Radius::myPnt `[private]`

Standard_ShortReal Prs2d_Radius::myX1 `[private]`

Standard_ShortReal Prs2d_Radius::myX2 `[private]`

Standard_ShortReal Prs2d_Radius::myY1 `[private]`

Standard_ShortReal Prs2d_Radius::myY2 `[private]`

The documentation for this class was generated from the following files:

- Prs2d_Radius.hxx
- Prs2d_Radius.lxx